diff --git a/web/pgadmin/static/js/backform.pgadmin.js b/web/pgadmin/static/js/backform.pgadmin.js
index 02c3456..7e30f38 100644
--- a/web/pgadmin/static/js/backform.pgadmin.js
+++ b/web/pgadmin/static/js/backform.pgadmin.js
@@ -29,6 +29,8 @@ define([
     tabClassName: 'backform-tab pg-el-xs-12',
     setGroupContentClassName: 'fieldset-content pg-el-xs-12',
     hiddenClassName: 'd-none',
+    radioLabelClassName: 'form-check-label',
+    helpMessageClassName: 'form-text text-muted mb-2',
   });
 
   Backform.controlMapper = {
diff --git a/web/pgadmin/static/scss/_bootstrap.overrides.scss b/web/pgadmin/static/scss/_bootstrap.overrides.scss
index 68b822a..8c4bf78 100644
--- a/web/pgadmin/static/scss/_bootstrap.overrides.scss
+++ b/web/pgadmin/static/scss/_bootstrap.overrides.scss
@@ -140,6 +140,7 @@ iframe {
 }
 .form-control[disabled], .form-control[readonly], fieldset[disabled] .form-control {
 	color: $color-gray-dark;
+	cursor: not-allowed;
 }
 
 
@@ -155,7 +156,16 @@ iframe {
 	padding-top: 0;
 }
 
+.btn:disabled {
+    cursor: not-allowed;
+}
 
+.btn-warning {
+    color: $color-fg-inverse;
+    &:disabled, &:hover {
+        color: $color-fg-inverse;
+    }
+}
 
 /* Remove default left padding from checkbox for bootstrap-switch */
 .checkbox {
